cURL
curl -X GET "https://api.sitespy.app/api/v1/watch/095be615-a8ad-4c33-8e9c-c7612fbf6c9f/history" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
uuid = '095be615-a8ad-4c33-8e9c-c7612fbf6c9f'
response = requests.get(f'https://api.sitespy.app/api/v1/watch/{uuid}/history', headers=headers)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/watch/{uuid}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"1640995200": "/path/to/snapshot1.txt",
"1640998800": "/path/to/snapshot2.txt"
}Watch History
Get watch history
Get a list of all historical snapshots available for a web page change monitor (watch), use the key timestamp
as the query argument for fetching a single watch history snapshot.
GET
/
watch
/
{uuid}
/
history
cURL
curl -X GET "https://api.sitespy.app/api/v1/watch/095be615-a8ad-4c33-8e9c-c7612fbf6c9f/history" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
uuid = '095be615-a8ad-4c33-8e9c-c7612fbf6c9f'
response = requests.get(f'https://api.sitespy.app/api/v1/watch/{uuid}/history', headers=headers)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/watch/{uuid}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"1640995200": "/path/to/snapshot1.txt",
"1640998800": "/path/to/snapshot2.txt"
}Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.
Path Parameters
Web page change monitor (watch) unique ID
Response
List of available snapshots
Dictionary of timestamps and snapshot paths
Path to snapshot file

